
Redmine - Defect #95

Mantis importer - field widths

2007-08-20 16:55 - Damien McKenna

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Mantis allowed for longer widths than RedMine for some text fields, e.g. issue category title.

To fix issue categories I changed line 291 to have this at the end: category.category[0, 30]

History

#1 - 2007-08-20 17:24 - Damien McKenna

Is there a way to do this using ActiveRecord calls instead of

hardcoding it?  E.g.

(pseudocode)

category.category[1, IssueCategory._fields[:name]._width]

#2 - 2007-08-25 11:01 - Jean-Philippe Lang

Hi Damien,

I committed your fix (rev 659).

Is there a way to do this using ActiveRecord calls instead

 of hardcoding it?

This code seems to work:

IssueCategory.columns_hash['name'].limit

It would be much cleaner to use it :-)
